#pragma once
#include <stdint.h>
#include <stddef.h>
#include "constants.hpp"

#if AC_TYPE == AC_TYPE_M1M2
// IR codes for the remote control
extern const uint16_t ir_code_cool[4][16][91];
extern const uint16_t ir_code_fan[4][91];
extern const uint16_t ir_code_off[91];

// Function to retrieve the IR code for the given mode, fan speed and temperature
size_t getInfraredCode(uint8_t mode, uint8_t fan_speed, uint8_t temperature_index, const uint16_t **codePtr);
#endif

#if AC_TYPE == AC_TYPE_M3M4M5M6

#endif